import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { RouletteCouponComponent } from './component/roulette-coupon.component';
import { FixBonusComponent } from './component/fix-bonus.component';
import { MiniMartinComponent } from './component/mini-martin.component';
import { AlertConfigComponent } from './component/alert-config.component';
import { CheckNoticeComponent } from './component/check-notice.component';

const routes: Routes = [
  {
    path: 'roulette-coupon',
    component: RouletteCouponComponent
  },
  {
    path: 'fix-bonus',
    component: FixBonusComponent
  },
  {
    path: 'mini-martin',
    component: MiniMartinComponent
  },
  {
    path: 'alert-config',
    component: AlertConfigComponent
  },
  {
    path: 'check-notice',
    component: CheckNoticeComponent
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class SpecialRoutingModule {}
