export const locale = {
  lang: 'ko',
  data: {
    NAV: {
      DASHBOARD: '대시보드',
      STATICS: '통계보기',
      APPLICATIONS: '어플리케이션',
      USERS: {
        TITLE: '회원관리',
        LIST: {
          TITLE: '회원 리스트'
        },
        CONNECT_LIST: {
          TITLE: '현재접속자'
        },
        REGIST: {
          TITLE: '회원가입'
        },
        FEES_MANAGEMENT: {
          TITLE: '커미션 설정'
        },
        ATTENDANCE_MANAGEMENT: {
          TITLE: '출석 관리'
        }
      },
      GAME: {
        TITLE: '게임관리',
        SPORT_RESULT: {
          TITLE: '결과입력 및 수정'
        },
        SPORT_MIX: {
          TITLE: '스포츠 조합설정'
        },
        MINI_GAME: {
          TITLE: '미니게임'
        },
        MINI_GAME_MANAGEMENT: {
          TITLE: '미니게임 관리'
        },
        EXCEL_REGIST: {
          TITLE: '엑셀등록'
        },
        BET_HISTORY: {
          TITLE: '배팅내역'
        },
        SETTLEMENT: {
          TITLE: '정산하기'
        },
        ITEM_MANAGEMENT: {
          TITLE: '종목관리'
        },
        LEAGUE_MANAGEMENT: {
          TITLE: '리그관리'
        },
        EXCEPT_AUTO_REGIST: {
          TITLE: '자동등록 제외'
        }
      },
      DEPOSIT_WITHDRAWAL: {
        TITLE: '입출금 관리',
        DEPOST: {
          TITLE: '충전 관리'
        },
        WITHDRAWAL: {
          TITLE: '환전 관리'
        },
        MONEY_LOG: {
          TITLE: '머니 LOG'
        },
        POINT_LOG: {
          TITLE: '포인트 LOG'
        },
        DAILY_SETTLEMENT: {
          TITLE: '일일정산'
        }
      },
      INFO: {
        TITLE: '정보관리',
        SERVICE_CENTER_MANAGEMENT: {
          TITLE: '고객센터 관리'
        },
        SEND_MESSAGE_MANAGEMENT: {
          TITLE: '보낸메세지 관리'
        },
        FREE_BOARD_MANAGEMENT: {
          TITLE: '자유게시판 관리'
        },
        BET_RULE: {
          TITLE: '배팅규정'
        },
        POPUP_SETTING: {
          TITLE: '팝업창'
        },
        MAIN_EVENT_REGIST: {
          TITLE: '메인 이벤트 등록'
        },
        NOTICE_BOARD_MANAGEMENT: {
          TITLE: '공지사항 관리'
        },
        BOARD_REGIST: {
          TITLE: '게시판 작성'
        }
      },
      SITE: {
        TITLE: '사이트 관리',
        DEFAULT_SET: {
          TITLE: '기본설정 관리'
        },
        ACCOUNT_SEPARATE: {
          TITLE: '계좌분리'
        },
        SET_BET_AMOUNT: {
          TITLE: '배팅금액 설정'
        },
        BLOCK_IP: {
          TITLE: '차단 아이피 관리'
        },
        ADMIN_IP: {
          TITLE: '어드민 아이피 관리'
        },
        SET_LEVEL: {
          TITLE: '레벨 설정관리'
        }
      },
      SPECIAL: {
        TITLE: '특수관리',
        ROULETTE_COUPON: {
          TITLE: '룰렛쿠폰관리'
        },
        FIX_BONUS: {
          TITLE: '고정 보너스'
        },
        MINI_GAME_MARTIN: {
          TITLE: '미니게임 마틴관리'
        },
        SET_ALERT: {
          TITLE: '알람설정'
        },
        CHECK_NOTICE: {
          TITLE: '점검공지 관리'
        }
      },
      SUPPORT: {
        TITLE: '받치기관리'
      }
    }
  }
};
