import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';
import { POPUP_SET_SERVICES } from './popup-set/service';
import { SERVICE_CENTER_SERVICES } from './service-center/service';

@NgModule({
  imports: [],
  exports: []
})
export class InfosRootModule {}

@NgModule({
  declarations: [],
  imports: [CommonModule],
  exports: []
})
export class InfosModule {
  public static forRoot(): ModuleWithProviders<InfosRootModule> {
    return {
      ngModule: InfosRootModule,
      providers: [POPUP_SET_SERVICES, SERVICE_CENTER_SERVICES]
    };
  }
}
